package com.dbxml.db.common.btree;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: BTreeNotFoundException.java,v 1.3 2004/02/12 00:17:56 bradford Exp $
 */

import com.dbxml.db.core.FaultCodes;

/**
 * A BTreeNotFoundException is thrown by the BTree if a Value
 * can't be found in the BTree.
 */

public final class BTreeNotFoundException extends BTreeException {
   public BTreeNotFoundException() {
      super(FaultCodes.IDX_VALUE_NOT_FOUND);
   }

   public BTreeNotFoundException(Throwable wrapped) {
      super(FaultCodes.IDX_VALUE_NOT_FOUND, wrapped);
   }

   public BTreeNotFoundException(String message) {
      super(FaultCodes.IDX_VALUE_NOT_FOUND, message);
   }

   public BTreeNotFoundException(String message, Throwable wrapped) {
      super(FaultCodes.IDX_VALUE_NOT_FOUND, message, wrapped);
   }
}
